VideoCapture (OpenCV 3.4.2 Java documentation)
Date: 2019-04-14

org.opencv.videoio

## Class VideoCapture

- java.lang.Object
- - org.opencv.videoio.VideoCapture

-     public class VideoCapture
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected long` | `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `VideoCapture()`
    `` | `VideoCapture(int index)`
    `protected` | `VideoCapture(long addr)`
    `` | `VideoCapture(java.lang.String filename)`
    `` | `VideoCapture(java.lang.String filename, int apiPreference)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static VideoCapture` | `__fromPtr__(long addr)`
    `protected void` | `finalize()`
    `double` | `get(int propId)`
    `long` | `getNativeObjAddr()`
    `boolean` | `grab()`
    `boolean` | `isOpened()`
    `boolean` | `open(int index)`
    `boolean` | `open(int cameraNum, int apiPreference)`
    `boolean` | `open(java.lang.String filename)`
    `boolean` | `open(java.lang.String filename, int apiPreference)`
    `boolean` | `read(Mat image)`
    `void` | `release()`
    `boolean` | `retrieve(Mat image)`
    `boolean` | `retrieve(Mat image, int flag)`
    `boolean` | `set(int propId, double value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### nativeObj

          protected final long nativeObj

  - ### Constructor Detail

    - #### VideoCapture

          protected VideoCapture(long addr)

    - #### VideoCapture

          public VideoCapture(java.lang.String filename,
                              int apiPreference)

    - #### VideoCapture

          public VideoCapture(java.lang.String filename)

    - #### VideoCapture

          public VideoCapture(int index)

    - #### VideoCapture

          public VideoCapture()

  - ### Method Detail

    - #### getNativeObjAddr

          public long getNativeObjAddr()

    - #### __fromPtr__

          public static VideoCapture __fromPtr__(long addr)

    - #### grab

          public boolean grab()

    - #### isOpened

          public boolean isOpened()

    - #### open

          public boolean open(java.lang.String filename,
                              int apiPreference)

    - #### open

          public boolean open(java.lang.String filename)

    - #### open

          public boolean open(int cameraNum,
                              int apiPreference)

    - #### open

          public boolean open(int index)

    - #### read

          public boolean read(Mat image)

    - #### retrieve

          public boolean retrieve(Mat image,
                                  int flag)

    - #### retrieve

          public boolean retrieve(Mat image)

    - #### set

          public boolean set(int propId,
                             double value)

    - #### get

          public double get(int propId)

    - #### release

          public void release()

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `java.lang.Object`
      Throws:
        `java.lang.Throwable`

Generated on Sun Apr 14 2019 09:17:32 MDT / OpenCV unknown